INTERFACE
SUBROUTINE PPOBSACTL(KDLEN,KLEN,KDCOUNT,CDPAR,PINTH,KOBSTYPE,KCOUNT,&
 & PRESH,PRESF,PGEOPH,PGEOPF,&
 & PCP,PRF,PUF,PVF,PTF,PQF,&
 & PTS,PWS,PSN,PZ0,&
 & KDPP,PXPP,&
 & PRESH5,PRESF5,PGEOPH5,PGEOPF5,&
 & PCP5,PRF5,PUF5,PVF5,PTF5,PQF5,&
 & PTS5,PWS5,PVEG5,PSN5,PSLM5,PZ05,PRH2M5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
CHARACTER(LEN=3) ,INTENT(IN) :: CDPAR
REAL(KIND=JPRB) ,INTENT(IN) :: PINTH(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOPH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOPF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSN(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PZ0(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
REAL(KIND=JPRB) ,INTENT(OUT) :: PXPP(KDLEN,KDCOUNT,KDPP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOPH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOPF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PZ05(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRH2M5(KDLEN,KDCOUNT)
END SUBROUTINE PPOBSACTL
END INTERFACE
